﻿using System.Collections.ObjectModel;
using System.Windows;

namespace WpfXamDataTree
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            ItemClass1 item1 = new ItemClass1 { Item1Name = "Parent: Item 1"};
            item1.Children.Add(new ItemClass1 { Item1Name = "Child: Item 1" });
            item1.Children.Add(new ItemClass2 { Item2Name = "Child: Item 2" });

            ItemClass2 item2 = new ItemClass2 { Item2Name = "Parent: Item 2" };
            item2.Children.Add(new ItemClass1 { Item1Name = "Child: Item 1" });
            item2.Children.Add(new ItemClass2 { Item2Name = "Child: Item 2" });

            this.Items = new ObservableCollection<ItemBase> { item1, item2 };

            InitializeComponent();

            this.Loaded += (s, e) => this.xamDataTree.ItemsSource = this.Items;
        }

        public ObservableCollection<ItemBase> Items { get; private set; }

    }

    public class ItemBase
    {
        public ItemBase()
        {
            this.Children = new ObservableCollection<ItemBase>();
        }

        public ObservableCollection<ItemBase> Children { get; private set; }
    }

    public class ItemClass1 : ItemBase
    {
        public string Item1Name { get; set; }
    }

    public class ItemClass2 : ItemBase
    {
        public string Item2Name { get; set; }
    }
}
